Arch GebäudeTeil

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch BuildingPart and the translation is 81% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Arch Floor.svg Geschoss Vorherige:
Nächste: Gebäude Arch Building.svg Arrow-right.svg

Arch BuildingPart.svg Arch GebäudeTeil

Menüeintrag
Arch → GebäudeTeil
Arbeitsbereich
Arch
Standardtastenkürzel
Keiner
Eingeführt in Version
0.18
Siehe auch
Arch Gebäude, Arch Grundstück

Beschreibung

Der GebäudeTeil ersetzt das alte Arch Geschoss und Arch Gebäude Werkzeug durch eine leistungsfähigere Version, mit der nicht nur Geschosse/Etagen/Ebenen, sondern alle Arten von Situationen erstellt werden können, in denen verschiedene Architektur/BIM Objekte gruppiert werden sollen und diese Gruppe als ein Objekt behandelt oder nachgebildet werden soll.

Anwendung

  1. Wähle wahlweise ein oder mehrere Objekte, die in dein neues Gebäude Teil eingeschlossen werden sollen.
  2. Drücke die Arch BuildingPart.svg Arch GebäudeTeil Schaltfläche.

Hinweise

GebäudeTeile haben eine eingebaute, implizite Arch SchnittEbene. introduced in version 0.19

Diese Ebene ist immer parallel zur GebäudeTeil Basisebene, aber du kannst den Versatz zwischen ihnen angeben. Daher arbeiten alle Werkzeuge, die mit einer Schnittebene arbeiten, wie z.B. Entwurf Form2DAnsicht und TechDraw ArchAnsicht auch mit GebäudeTeilen.

Optionen

  • Nach der Erstellung eines Gebäudeteils können weitere Objekte durch Drag-und-drop in die Baumansicht oder durch Nutzung der Schaltfläche Arch Add.svg Komponente hinzufügen hinzugefügt werden.
  • Objekte können durch Drag-und-drop aus der Baumansicht oder durch Nutzung der Schaltfläche Arch Add.svg Komponente entfernen aus dem Gebäudeteil entfernt werden.
  • Durch doppelklicken des Gebäudeteil-Objekts in der Baumansicht wird die Arbeitsebene an diese Stelle gesetzt und das Gebäudeteil aktiviert, so dass neue Objekte automatisch hinzugefügt werden. Erneutes doppelklicken des Gebäudeteils wird es deaktivieren und die Arbeitsebene zurück auf die vorherige Position setzen.
  • Der Gebäudeteil kann in der 3D-Ansicht eine Markierung mit einer Beschriftung und einer Ebenenangabe anzeigen.
  • Wenn ein Gebäudeteil verschoben/gedreht wird, werden deren Kinder ohne Daten-EigenschaftMove with Host-Eigenschaft oder mit aktivierter Eigenschaft ebenfalls verschoben/gedreht.
  • Gebäudeteile können geklont werden.
  • Gebäudeteil können jeden beliebigen IFC-Typ annnehmen. Die IFC Role-Eigenschaft legt die Verwendung fest. Falls auf Building Storey gesetzt, wird es sich wie ein Geschoss verhalten. Bei Building wird es sich wie ein Gebäude verhalten und bei Element Assembly wie eine Baugruppe. Das Symbol wird sich je nach Einstellung ändern, hat aber darüber hinaus keine Auswirkung in FreeCAD. Allerdings kann diese Eigenschaft beim Export je nach Typ Auswirkung auf andere BIM-Anwendungen haben.

Eigenschaften

Daten

  • Daten-EigenschaftHöhe: Die Höhe dieses Objekts und dessen Kinderobjekte. Die Kinderobjekte können z.B. Arch Wände sein. Jede Wandhöhe muss auf 0 (Null) gesetzt werden, so dass die Höheneigenschaft des GebäudeTeil Objekts auf die darin liegenden Objekte übertragen wird.
  • Daten-EigenschaftLevelOffset: Das Niveau des (0,0,0)-Punkts dieser Ebene
  • Daten-EigenschaftArea: Die berechnete Geschossfläche dieser Etage
  • Daten-EigenschaftIfcRole: Die Rolle dieses Objekts
  • Daten-EigenschaftDescription: Eine optionale Beschreibung dieser Komponente
  • Daten-EigenschaftTag: Eine optionale Kennzeichnung dieser Komponente
  • Daten-EigenschaftIfcAttributes: Benutzerdefinierte IFC-Eigenschaften und -Attribute

Ansicht

  • Ansicht EigenschaftLinienBreite: Die Linienbreite dieses Objekts
  • Ansicht EigenschaftAufhebenEinheit: Eine optionale Einheit, um Niveaus auszudrücken
  • Ansicht EigenschaftAnzeigeVersatz: Eine auf die Niveaumarkierung anzuwendende Transformation
  • Ansicht EigenschaftZeigeNiveau: Falls true, zeige das Niveau
  • Ansicht EigenschaftZeigeEinheit: Falls true, zeige die Einheit auf der Niveaumarkierung
  • Ansicht EigenschaftSetzeArbeitsEbene: Falls true, wird bei Aktivierung die Arbeitsebene automatisch auf dieses Gebäudeteil angepasst
  • Ansicht EigenschaftUrsprungVersatz: Falls true, wird bei Aktivierung der Ansichtsabstand auch die Ursprungsmarkierung beeinflussen
  • Ansicht EigenschaftAnzeigeMarkierung: Falls true, wird bei Aktivierung die Objektkennzeichnung angezeigt
  • Ansicht EigenschaftSchriftName: Die für Text zu benutzende Schriftart
  • Ansicht EigenschaftSchriftGröße: Die Schriftgröße für Text
  • Ansicht EigenschaftWiederherstellenAnsicht: Falls gesetzt, wird die in diesem Objekt gespeicherte Sicht bei Doppelklick wiederhergestellt
  • Ansicht EigenschaftDiffuseFarbe: Die individuelle Flächenfarbe

introduced in version 0.19

  • ViewKinderAufhaben: Wenn gesetzt, werden die folgenden Einstellungen die Kinder dieses Gebäudeteils beeinflussen
  • ViewKinderLinienBreite: Die auf die Kinder des Gebäudeteils anzuwendende Linienbreite
  • ViewKinderLinienFarbe: Die auf die Kinder des Gebäudeteils anzuwendende Linienfarbe
  • ViewKinderFormFarbe: Die auf die Kinder des Gebäudeteils anzuwendende Formfarbe
  • ViewKinderTransparenz: Die auf die Kinder des Gebäudeteils anzuwendende Transparenz

Skripten

Siehe auch: Arch API und FreeCAD Grundlagen Skripten.

Das Gebäudeteil-Werkzeug kann sowohl in Makros als auch aus der Python-Konsole heraus über folgende Funktion angesprochen werden:

BuildingPart = makeBuildingPart(objectslist=None)
  • Erzeugt ein Building-Objekt aus objectslist, einer Liste von Objekten.

Beispiel:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

BuildingPart = Arch.makeBuildingPart([Wall1, Wall2])

Floor = Arch.makeFloor([BuildingPart])
Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch Floor.svg Geschoss Vorherige:
Nächste: Gebäude Arch Building.svg Arrow-right.svg